//
//  Controller.h
//  ATM
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Simulates an ATM (that only accepts deposits).
//

#import <Foundation/Foundation.h>
#import "Account.h"

@interface Controller : NSObject {
}

@property (nonatomic, retain) Account *account;
@property (assign, nonatomic) unsigned long long amount;
@property (nonatomic, retain) IBOutlet UILabel *balanceLabel;
@property (nonatomic, retain) IBOutlet UILabel *depositLabel;

- (IBAction)clear:(id)sender;
- (IBAction)deposit:(id)sender;
- (IBAction)digit:(id)sender;
- (void)show;

@end
